cURL
curl --request GET \ --url https://api.interchange.io/api/v2/storefront/signals/{signalId} \ --header 'Authorization: Bearer <token>'
{ "signal": { "id": 0, "signalId": "<string>", "adcpAgentId": 0, "name": "<string>", "description": "<string>", "keyType": [ "property" ], "regions": [ "NORAM" ], "metadata": {}, "isLive": true, "archivedAt": "2023-11-07T05:31:56Z", "createdBy": "<string>", "updatedBy": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }, "access": [ { "id": 0, "signalId": 0, "seatId": 123, "visibility": "PUBLIC", "price": { "pricing_option_id": "<string>", "pricing_model": "cpm", "currency": "<string>", "fixed_price": 123, "floor_price": 123, "max_bid": true, "price_guidance": { "p25": 123, "p50": 123, "p75": 123, "p90": 123 }, "min_spend_per_package": 123, "price_breakdown": { "list_price": 123, "adjustments": [ {} ] }, "eligible_adjustments": [ "fee" ] }, "archivedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ] }
Get a signal by its identifier, including access records.
Documentation IndexFetch the complete documentation index at: https://docs.interchange.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.interchange.io/llms.txt
Use this file to discover all available pages before exploring further.
API key or access token
Signal identifier
1
Get signal
Show child attributes